#!/usr/bin/env python
"""
Usage: markdown-tracklist.py FILES...
"""
from docopt import docopt
from tinytag import TinyTag
from pathlib import Path
from subprocess import run

opts = docopt(__doc__)
tracks = []

for filepath in opts['FILES']:
    tag = TinyTag.get(filepath)
    tracks.append((filepath,tag))

tracks.sort(key=lambda item: int(item[1].track))

for (filepath, tag) in tracks:
    print(f"![{int(tag.track):02d}. {tag.title.strip()}](../{filepath})\n")
    run(["ffmpeg", "-i", filepath, "-ab", "320k", "-map_metadata", "0", "-id3v2_version", "3", filepath.replace(".flac", ".mp3")])
    for f in (filepath, filepath.replace('.flac', '.mp3')):
              run(["scp", f, f"ewen@ewen.works:~/www/media.ewen.works/the-unconscious-wanders/{f}"])
              
